Bug 466981 - Gnome not recalling application window placement reliably
Gnome not recalling application window placement reliably
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 17:23 EDT by Rick Stevens
Modified: 2009-12-18 01:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:34:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Stevens 2008-10-14 17:23:02 EDT
Description of problem:
Gnome does not seem to recall the placement of application windows between sessions.

Version-Release number of selected component (if applicable):
Gnome 2.22.3, metacity 2.22.0, kernel 2.6.26.5-45.fc9.x86_64, gnome-terminal 2.22.2.  System: Opteron 1210, 2G RAM, nVidia C51G (GeForce 6100 rev a2) display.

How reproducible:
Every time

Steps to Reproduce:
1. Create a multi-desktop environment (I use four).

2. Open three Gnome-Terminals on the first and fourth desktop.  I create one in
the upper left corner (80x60 characters), one in the upper right (80x28), and one below that one (essentially the lower right, also 80x28) of each desktop.

3. Set Gnome to remember currently running applications when logging out and click on "Remember Currently Running Applications".

4. Log out.

5. Log back in.
  
Actual results:
The gnome-terminals open in the correct desktop, but on top of each other in the upper left corner.  Their positions are not saved, nor are their sizes.  An exception is the lower right one on desktop 4...it seems OK.

I've also noticed that a gkrellm running on it is also opened in the upper left of the desktops rather than dead in the center as it was before I logged out.

Expected results:
The windows to reopen where I originally placed them.

Additional info:
Comment 1 Rick Stevens 2009-01-05 17:13:28 EST
Works even worse in F10.  It will restart items in the System->Preferences->Personal->Sessions->Startup Programs tab, but blithely ignores anything in the session other than that.  Nothing in the "Options" tab works at all.  This is EXTREMELY bothersome with the number of "You must log out" update crud going on in F10.

I reported this issue back in October and it appears not a darned thing has been done to address it in the two and a half months it's been on the books.
Comment 2 Bug Zapper 2009-06-09 22:57:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rick Stevens 2009-06-10 22:28:57 EDT
Near as I can tell, this problem existes in F9, F10 and F11.  I realize it's an upstream Gnome issue, but it really is annoying.
Comment 4 Bug Zapper 2009-11-18 03:34:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:34:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.